Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Interface IDiagramDocument

All Superinterfaces:
  IDocument

All Known Implementing Classes:
  DiagramDocument

public interface IDiagramDocument
extends IDocument

An interface defining a `IDocument` with content of `org.eclipse.gmf.runtime.notation.Diagram`

Field Summary

Fields inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocument
`UNKNOWN_MODIFICATION_STAMP`

Method Summary
`Diagram` `detachDiagram()` Detaches the attached `Diagram` from this document.
`Diagram` `getDiagram()` Returns the diagram for this diagram document
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`void` `setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain domain)` Sets the EditingDomain for this document

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocument
`addDocumentListener, addPrenotifiedDocumentListener, getContent, getModificationStamp, removeDocumentListener, removePrenotifiedDocumentListener, resumeListenerNotification, setContent, setContent, stopListenerNotification`

Method Detail

### getDiagram

    public Diagram getDiagram()

  Returns the diagram for this diagram document

  Returns:
    Diagram for this document

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Returns:
    The editing domain for this diagram document

### setEditingDomain

    public void setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain domain)

  Sets the EditingDomain for this document

### detachDiagram

    public Diagram detachDiagram()

  Detaches the attached `Diagram` from this document.

  Returns:
    the detached diagram.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.